import request from '@/assets/js/utils/request'
/* ======================================统计分析-招标结果（进度）查询-API接口================================================= */
// 归档统计信息列表
export function queryArchivePage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryArchivePage',
    method: 'post',
    data
  })
}

// 查询项目各月完成情况统计信息
export function queryPerformanceToMonthPage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryPerformanceToMonthPage',
    method: 'post',
    data
  })
}
// 招标结果(进度)统计分析查询
export function queryBidResultPage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryBidResultPage',
    method: 'post',
    data
  })
}
// 标段进度统计信息
export function queryPackStatistPage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryPackStatistPage',
    method: 'post',
    data
  })
}

// 开评标统计信息
export function queryEvalListPage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryEvalListPage',
    method: 'post',
    data
  })
}

// 中标服务费统计信息
export function queryWinServiceFeePage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryWinServiceFeePage',
    method: 'post',
    data
  })
}
// 中标服务费统计分析导出接口
export function queryWinServiceFeePageExpert(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryWinServiceFeePageExpert',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 中标服务费页面所有金额统计数据
export function getTotalPrice(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/getTotalPrice',
    method: 'post',
    data
  })
}

// 查询候选人公示统计信息
export function queryCandidateNoticePage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryCandidateNoticePage',
    method: 'post',
    data
  })
}

// 查询候选人公示统计信息详情
export function queryCandidateNoticeInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryCandidateNoticeInfo',
    method: 'post',
    data
  })
}

// 查询评标结果统计分析信息
export function queryEvaluationResultPage(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryEvaluationResultPage',
    method: 'post',
    data
  })
}

// 查看评标结果统计分析信息
export function queryEvaluationResultInfo(data) {
  return request({
    url: '/bidprocurement/pretcloud-statisticalanalysis/statisticalanalysis/statisticalanalysis/queryEvaluationResultInfo',
    method: 'post',
    data
  })
}
